summaryrefslogtreecommitdiff
path: root/taler.net
diff options
context:
space:
mode:
authorFlorian Dold <florian.dold@gmail.com>2017-03-08 13:55:22 +0100
committerFlorian Dold <florian.dold@gmail.com>2017-03-08 13:55:22 +0100
commit88fc2138ee7482b159cbfe4194adee492feba5eb (patch)
treebc3dcdddf52375ec2b8c34d0381b8341716d088b /taler.net
parent24cf6b104bc4b296a14b74d619c401d524b536e3 (diff)
downloaddeployment-88fc2138ee7482b159cbfe4194adee492feba5eb.tar.gz
deployment-88fc2138ee7482b159cbfe4194adee492feba5eb.tar.bz2
deployment-88fc2138ee7482b159cbfe4194adee492feba5eb.zip
put renew-certs.sh under version control
Diffstat (limited to 'taler.net')
-rw-r--r--taler.net/renew-certs.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/taler.net/renew-certs.sh b/taler.net/renew-certs.sh
new file mode 100644
index 0000000..53decd7
--- /dev/null
+++ b/taler.net/renew-certs.sh
@@ -0,0 +1,36 @@
+#!/usr/bin/env bash
+
+set -eu
+
+systemctl stop nginx
+
+certbot certonly \
+ --standalone \
+ -d taler.net \
+ -d www.taler.net \
+ -d api.taler.net \
+ -d lcov.taler.net \
+ -d git.taler.net \
+ -d gauger.taler.net \
+ -d buildbot.taler.net \
+ -d test.taler.net \
+ -d auditor.test.taler.net \
+ -d auditor.demo.taler.net \
+ -d demo.taler.net \
+ -d shop.test.taler.net \
+ -d shop.demo.taler.net \
+ -d donations.demo.taler.net \
+ -d bank.test.taler.net \
+ -d bank.demo.taler.net \
+ -d www.git.taler.net \
+ -d exchange.demo.taler.net \
+ -d exchange.test.taler.net \
+ -d env.taler.net \
+ -d envs.taler.net \
+ -d blog.demo.taler.net \
+ -d blog.test.taler.net \
+ -d donations.test.taler.net \
+ -d docs.taler.net \
+ -d stage.taler.net
+
+systemctl start nginx